
Redmine - Defect #10483

After creating a new  relation on a issue the relation is not displayed, in some cases

2012-03-19 17:59 - Dieter Egert

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.3.1

Description

I have a isse created. Then I open the issue details and a a relation to an other issue:

Related issues: add,

select 'follows' in pulldown menue

key in issue no

key in 1 into field 'Delay'

Select 'Add' button

Expected: Relation is shown to other issue no

Displayed: No relation is shown. (This error does not always appear..!)

But: After refreshing of browser the relation is shown

Used:

Firefox 10.0.2 (also found on earlier versions)

Redmine 1.3.0.stable (also on Redmine 1.3.1.stable 8857)

Ruby version 1.8.7

Ruby Gems 1.6.2

Rack 1.1.1

History

#1 - 2012-03-19 18:16 - Ivan Cenov

I confirm in Redmine 1.3.2 and in trunk r9244.

Note that I have installed redmine_better_gantt_chart plugin 0.6.3.

#2 - 2012-03-20 09:39 - Dieter Egert

Note: I also have some plugins installed:

redmine_better_gantt_chart V 0.5.0

redmine_issue_due_date 0.1.0

redmine_better_gantt_chart 0.5.0

and others..

#3 - 2012-03-24 17:11 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Please try without plugins.

#4 - 2012-03-24 19:40 - Ivan Cenov

Redmine trunk r9258 without plugins.

It seems that the problem reproduces when the issue has not any relations added and the first relation that is added is of follows type.

If a relation of other type is added first, then it and the next relations of any type are added and displayed immediately.

#5 - 2012-03-25 00:04 - Dieter Egert

Yes, I can confirm the conditions described by Ivan Cenov

for occurence of disappearing new relations.
https://www.redmine.org/projects/redmine/repository/svn/revisions/9244
https://www.redmine.org/projects/redmine/repository/svn/revisions/9258


#6 - 2012-03-26 07:50 - sheerinjerr aifseng

- Assignee set to Jean-Philippe Lang

-

#7 - 2012-03-26 07:52 - burgsgill aifseng

-

#8 - 2012-03-26 09:01 - Etienne Massip

- Assignee deleted (Jean-Philippe Lang)

#9 - 2012-03-26 09:11 - raankelv John

- Assignee set to Toshi MARUYAMA

-

#10 - 2012-03-26 09:43 - Toshi MARUYAMA

- Assignee deleted (Toshi MARUYAMA)
